Package org.globus.ftp

# Class PerfMarker

java.lang.Object
org.globus.ftp.PerfMarker

All Implemented Interfaces:
  `Marker`

public class PerfMarker extends Object implements Marker
Represents GridFTP performance marker. Use getter methods to access its parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`hasStripeBytesTransferred`
`protected boolean`
`hasStripeIndex`
`protected boolean`
`hasTimeStamp`
`protected boolean`
`hasTotalStripeCount`
`protected final String`
`nl`
`protected long`
`stripeBytesTransferred`
`protected long`
`stripeIndex`
`protected double`
`timeStamp`
`protected long`
`totalStripeCount`
`protected static final int`
`UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`PerfMarker(String msg)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getStripeBytesTransferred()`
`long`
`getStripeIndex()`
`double`
`getTimeStamp()`
`long`
`getTotalStripeCount()`
`boolean`
`hasStripeBytesTransferred()`
`boolean`
`hasStripeIndex()`
`boolean`
`hasTotalStripeCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nl

protected final String nl

### UNDEFINED

protected static final int UNDEFINED

See Also:
  - Constant Field Values

### hasTimeStamp

protected boolean hasTimeStamp

### timeStamp

protected double timeStamp

### hasStripeIndex

protected boolean hasStripeIndex

### stripeIndex

protected long stripeIndex

### hasStripeBytesTransferred

protected boolean hasStripeBytesTransferred

### stripeBytesTransferred

protected long stripeBytesTransferred

### hasTotalStripeCount

protected boolean hasTotalStripeCount

### totalStripeCount

protected long totalStripeCount

## Constructor Details

### PerfMarker

public PerfMarker(String msg) throws IllegalArgumentException

Parameters:
  `msg` - an FTP reply message containing the perf marker (not the reply itself!)
Throws:
  `IllegalArgumentException`

## Method Details

### hasStripeIndex

public boolean hasStripeIndex()

### hasStripeBytesTransferred

public boolean hasStripeBytesTransferred()

### hasTotalStripeCount

public boolean hasTotalStripeCount()

### getTimeStamp

public double getTimeStamp()

### getStripeIndex

public long getStripeIndex() throws PerfMarkerException

Throws:
  `PerfMarkerException`

### getStripeBytesTransferred

public long getStripeBytesTransferred() throws PerfMarkerException

Throws:
  `PerfMarkerException`

### getTotalStripeCount

public long getTotalStripeCount() throws PerfMarkerException

Throws:
  `PerfMarkerException`